Řádky
Získat trasování řádku
Načtení trasování AI extrakce a obohacení pro řádek.
GET
/
v1
/
tables
/
{table_id}
/
rows
/
{row_id}
/
traces
const traces = await client.enhance.traces(
"tbl_abc123",
"row_xyz789",
"description"
);
for (const trace of traces.data) {
console.log(trace.column_key);
console.log(trace.model);
console.log(trace.confidence);
}
traces = client.enhance.traces(
"tbl_abc123",
"row_xyz789",
column_key="description",
)
for trace in traces["data"]:
print(trace["column_key"])
print(trace["model"])
print(trace["confidence"])
curl -X GET "https://hub.banditshq.com/api/v1/tables/tbl_abc123/rows/row_xyz789/traces?column_key=description" \
-H "Authorization: Bearer lasso_..."
{
"data": [
{
"column_key": "description",
"model": "gemini-pro",
"confidence": 0.92,
"request": {
"system_prompt": "You are a product data expert...",
"user_content": "Generate a description for: iPhone 15 Pro",
"tools": []
},
"response": {
"text": "The iPhone 15 Pro features...",
"iterations": 1,
"tool_calls": [],
"thought_summary": "Used product name and specs to generate description",
"sources": []
}
}
]
}
Trasování poskytuje plnou transparentnost toho, jak AI vygenerovalo nebo obohatilo každou hodnotu sloupce, včetně promptů, použitého modelu, skóre spolehlivosti a odkazů na zdroje.
Parametry cesty
string
povinné
Jedinečný identifikátor tabulky.
string
povinné
Jedinečný identifikátor řádku.
Query parametry
string
Filtrování trasování pro konkrétní sloupec. Vynechte pro získání trasování všech sloupců.
Odpověď
array
Zobrazit Objekt trasování
Zobrazit Objekt trasování
string
Sloupec, ke kterému toto trasování patří.
string | null
Použitý AI model.
number | null
Skóre spolehlivosti (0-1).
object
const traces = await client.enhance.traces(
"tbl_abc123",
"row_xyz789",
"description"
);
for (const trace of traces.data) {
console.log(trace.column_key);
console.log(trace.model);
console.log(trace.confidence);
}
traces = client.enhance.traces(
"tbl_abc123",
"row_xyz789",
column_key="description",
)
for trace in traces["data"]:
print(trace["column_key"])
print(trace["model"])
print(trace["confidence"])
curl -X GET "https://hub.banditshq.com/api/v1/tables/tbl_abc123/rows/row_xyz789/traces?column_key=description" \
-H "Authorization: Bearer lasso_..."
{
"data": [
{
"column_key": "description",
"model": "gemini-pro",
"confidence": 0.92,
"request": {
"system_prompt": "You are a product data expert...",
"user_content": "Generate a description for: iPhone 15 Pro",
"tools": []
},
"response": {
"text": "The iPhone 15 Pro features...",
"iterations": 1,
"tool_calls": [],
"thought_summary": "Used product name and specs to generate description",
"sources": []
}
}
]
}
⌘I
const traces = await client.enhance.traces(
"tbl_abc123",
"row_xyz789",
"description"
);
for (const trace of traces.data) {
console.log(trace.column_key);
console.log(trace.model);
console.log(trace.confidence);
}
traces = client.enhance.traces(
"tbl_abc123",
"row_xyz789",
column_key="description",
)
for trace in traces["data"]:
print(trace["column_key"])
print(trace["model"])
print(trace["confidence"])
curl -X GET "https://hub.banditshq.com/api/v1/tables/tbl_abc123/rows/row_xyz789/traces?column_key=description" \
-H "Authorization: Bearer lasso_..."
{
"data": [
{
"column_key": "description",
"model": "gemini-pro",
"confidence": 0.92,
"request": {
"system_prompt": "You are a product data expert...",
"user_content": "Generate a description for: iPhone 15 Pro",
"tools": []
},
"response": {
"text": "The iPhone 15 Pro features...",
"iterations": 1,
"tool_calls": [],
"thought_summary": "Used product name and specs to generate description",
"sources": []
}
}
]
}

